#include <smartslog.h>

#ifndef _GENERATED_ONTOLOGY
#define	_GENERATED_ONTOLOGY

#ifdef	__cplusplus
extern "C" {
#endif


#define INCLUDE_ALL_ONT_ENTITIES 1
#ifdef INCLUDE_ALL_ONT_ENTITIES

#define INCLUDE_PROPERTY_LAT 1
#define INCLUDE_PROPERTY_LOCATION 1
#define INCLUDE_PROPERTY_SURNAME 1
#define INCLUDE_PROPERTY_LONG 1
#define INCLUDE_PROPERTY_ALT 1
#define INCLUDE_PROPERTY_FIRSTNAME 1
#define INCLUDE_CLASS_POINT 1
#define INCLUDE_CLASS_PERSON 1


#else

#define INCLUDE_PROPERTY_LAT 0
#define INCLUDE_PROPERTY_LOCATION 0
#define INCLUDE_PROPERTY_SURNAME 0
#define INCLUDE_PROPERTY_LONG 0
#define INCLUDE_PROPERTY_ALT 0
#define INCLUDE_PROPERTY_FIRSTNAME 0
#define INCLUDE_CLASS_POINT 0
#define INCLUDE_CLASS_PERSON 0


#endif


#if INCLUDE_CLASS_POINT
extern sslog_class_t *CLASS_POINT;
#endif
#if INCLUDE_CLASS_PERSON
extern sslog_class_t *CLASS_PERSON;
#endif


#if INCLUDE_PROPERTY_LAT
extern sslog_property_t *PROPERTY_LAT;
#endif
#if INCLUDE_PROPERTY_LOCATION
extern sslog_property_t *PROPERTY_LOCATION;
#endif
#if INCLUDE_PROPERTY_SURNAME
extern sslog_property_t *PROPERTY_SURNAME;
#endif
#if INCLUDE_PROPERTY_LONG
extern sslog_property_t *PROPERTY_LONG;
#endif
#if INCLUDE_PROPERTY_ALT
extern sslog_property_t *PROPERTY_ALT;
#endif
#if INCLUDE_PROPERTY_FIRSTNAME
extern sslog_property_t *PROPERTY_FIRSTNAME;
#endif



void register_ontology();

	
#ifdef	__cplusplus
}
#endif

#endif /* _GENERATED_ONTOLOGY */
