#include "drinkers.h"

#if INCLUDE_CLASS_HUMAN
sslog_class_t *CLASS_HUMAN;
#endif
#if INCLUDE_CLASS_MAN
sslog_class_t *CLASS_MAN;
#endif
#if INCLUDE_CLASS_GIRL
sslog_class_t *CLASS_GIRL;
#endif
#if INCLUDE_CLASS_MILK
sslog_class_t *CLASS_MILK;
#endif
#if INCLUDE_CLASS_MESSAGE
sslog_class_t *CLASS_MESSAGE;
#endif
#if INCLUDE_CLASS_NOTHING
sslog_class_t *CLASS_NOTHING;
#endif
#if INCLUDE_CLASS_BEER
sslog_class_t *CLASS_BEER;
#endif
#if INCLUDE_CLASS_WATER
sslog_class_t *CLASS_WATER;
#endif
#if INCLUDE_CLASS_CONFORMANCE
sslog_class_t *CLASS_CONFORMANCE;
#endif
#if INCLUDE_CLASS_BEVERAGE
sslog_class_t *CLASS_BEVERAGE;
#endif
#if INCLUDE_CLASS_EMAIL
sslog_class_t *CLASS_EMAIL;
#endif
#if INCLUDE_CLASS_THING
sslog_class_t *CLASS_THING;
#endif
#if INCLUDE_CLASS_SMS
sslog_class_t *CLASS_SMS;
#endif
#if INCLUDE_CLASS_BOY
sslog_class_t *CLASS_BOY;
#endif
#if INCLUDE_CLASS_WOMAN
sslog_class_t *CLASS_WOMAN;
#endif


#if INCLUDE_PROPERTY_LNAME
sslog_property_t *PROPERTY_LNAME;
#endif
#if INCLUDE_PROPERTY_BUYS
sslog_property_t *PROPERTY_BUYS;
#endif
#if INCLUDE_PROPERTY_SENDER
sslog_property_t *PROPERTY_SENDER;
#endif
#if INCLUDE_PROPERTY_FROM
sslog_property_t *PROPERTY_FROM;
#endif
#if INCLUDE_PROPERTY_SID
sslog_property_t *PROPERTY_SID;
#endif
#if INCLUDE_PROPERTY_CONTENT
sslog_property_t *PROPERTY_CONTENT;
#endif
#if INCLUDE_PROPERTY_RECEIVER_ID
sslog_property_t *PROPERTY_RECEIVER_ID;
#endif
#if INCLUDE_PROPERTY_NUMBER_OF_DRINKS
sslog_property_t *PROPERTY_NUMBER_OF_DRINKS;
#endif
#if INCLUDE_PROPERTY_ARRIVALTIME
sslog_property_t *PROPERTY_ARRIVALTIME;
#endif
#if INCLUDE_PROPERTY_URI
sslog_property_t *PROPERTY_URI;
#endif
#if INCLUDE_PROPERTY_FNAME
sslog_property_t *PROPERTY_FNAME;
#endif
#if INCLUDE_PROPERTY_TO
sslog_property_t *PROPERTY_TO;
#endif
#if INCLUDE_PROPERTY_DRINKS
sslog_property_t *PROPERTY_DRINKS;
#endif



/**
 * @brief Register ontology.
 *
 * It creates all structures, such as classes and properties. Use it firs in your propgramm.
 */
void register_ontology()
{    

#if INCLUDE_PROPERTY_LNAME
PROPERTY_LNAME =  sslog_new_property("http://www.m3.com/2008/02/m3/canonical#lname", SSLOG_PROPERTY_TYPE_DATA);
#endif

#if INCLUDE_PROPERTY_BUYS
PROPERTY_BUYS =  sslog_new_property("#http://www.m3.com/2008/02/m3/canonical#buys", SSLOG_PROPERTY_TYPE_OBJECT);
#endif

#if INCLUDE_PROPERTY_SENDER
PROPERTY_SENDER =  sslog_new_property("http://sofia.org/msg#sender", SSLOG_PROPERTY_TYPE_OBJECT);
#endif

#if INCLUDE_PROPERTY_FROM
PROPERTY_FROM =  sslog_new_property("http://sofia.org/msg#from", SSLOG_PROPERTY_TYPE_DATA);
#endif

#if INCLUDE_PROPERTY_SID
PROPERTY_SID =  sslog_new_property("http://sofia.org/msg#sid", SSLOG_PROPERTY_TYPE_OBJECT);
#endif

#if INCLUDE_PROPERTY_CONTENT
PROPERTY_CONTENT = sslog_new_property("http://sofia.org/msg#content", SSLOG_PROPERTY_TYPE_OBJECT);
#endif

#if INCLUDE_PROPERTY_RECEIVER_ID
PROPERTY_RECEIVER_ID = sslog_new_property("http://sofia.org/msg#receiver_id", SSLOG_PROPERTY_TYPE_OBJECT);
#endif

#if INCLUDE_PROPERTY_NUMBER_OF_DRINKS
PROPERTY_NUMBER_OF_DRINKS = sslog_new_property("http://www.m3.com/2008/02/m3/canonical#number_of_drinks", SSLOG_PROPERTY_TYPE_DATA);
#endif

#if INCLUDE_PROPERTY_ARRIVALTIME
PROPERTY_ARRIVALTIME = sslog_new_property("http://sofia.org/msg#arrivaltime", SSLOG_PROPERTY_TYPE_DATA);
#endif

#if INCLUDE_PROPERTY_URI
PROPERTY_URI =  sslog_new_property("http://sofia.org/wp1#uri", SSLOG_PROPERTY_TYPE_DATA);
#endif

#if INCLUDE_PROPERTY_FNAME
PROPERTY_FNAME = sslog_new_property("http://www.m3.com/2008/02/m3/canonical#fname", SSLOG_PROPERTY_TYPE_DATA);
#endif

#if INCLUDE_PROPERTY_TO
PROPERTY_TO = sslog_new_property("http://sofia.org/msg#to", SSLOG_PROPERTY_TYPE_DATA);
#endif

#if INCLUDE_PROPERTY_DRINKS
PROPERTY_DRINKS = sslog_new_property("http://www.m3.com/2008/02/m3/canonical#drinks", SSLOG_PROPERTY_TYPE_DATA);
#endif


#if INCLUDE_CLASS_HUMAN
CLASS_HUMAN = sslog_new_class("http://www.m3.com/2008/02/m3/canonical#Human");
#endif

#if INCLUDE_CLASS_MAN
CLASS_MAN = sslog_new_class("http://www.m3.com/2008/02/m3/canonical#Man");
#endif

#if INCLUDE_CLASS_GIRL
CLASS_GIRL = sslog_new_class("http://www.m3.com/2008/02/m3/canonical#Girl");
#endif

#if INCLUDE_CLASS_MILK
CLASS_MILK = sslog_new_class("http://www.m3.com/2008/02/m3/canonical#Milk");
#endif

#if INCLUDE_CLASS_MESSAGE
CLASS_MESSAGE = sslog_new_class("http://sofia.org/msg#Message");
#endif

#if INCLUDE_CLASS_NOTHING
CLASS_NOTHING = sslog_new_class("http://www.w3.org/2002/07/owl#Nothing");
#endif

#if INCLUDE_CLASS_BEER
CLASS_BEER = sslog_new_class("http://www.m3.com/2008/02/m3/canonical#Beer");
#endif

#if INCLUDE_CLASS_WATER
CLASS_WATER = sslog_new_class("http://www.m3.com/2008/02/m3/canonical#Water");
#endif

#if INCLUDE_CLASS_CONFORMANCE
CLASS_CONFORMANCE = sslog_new_class("http://sofia.org/wp1#Conformance");
#endif

#if INCLUDE_CLASS_BEVERAGE
CLASS_BEVERAGE = sslog_new_class("http://www.m3.com/2008/02/m3/canonical#Beverage");
#endif

#if INCLUDE_CLASS_EMAIL
CLASS_EMAIL = sslog_new_class("http://sofia.org/msg#Email");
#endif

#if INCLUDE_CLASS_THING
CLASS_THING = sslog_new_class("http://www.w3.org/2002/07/owl#Thing");
#endif

#if INCLUDE_CLASS_SMS
CLASS_SMS = sslog_new_class("http://sofia.org/msg#SMS");
#endif

#if INCLUDE_CLASS_BOY
CLASS_BOY = sslog_new_class("http://www.m3.com/2008/02/m3/canonical#Boy");
#endif

#if INCLUDE_CLASS_WOMAN
CLASS_WOMAN = sslog_new_class("http://www.m3.com/2008/02/m3/canonical#Woman");
#endif

}


