#include "media.h"



#if INCLUDE_CLASS_THING
sslog_class_t *CLASS_THING;
#endif
#if INCLUDE_CLASS_TV
sslog_class_t *CLASS_TV;
#endif
#if INCLUDE_CLASS_VIDEODEVICE
sslog_class_t *CLASS_VIDEODEVICE;
#endif
#if INCLUDE_CLASS_AUDIOPLAYER
sslog_class_t *CLASS_AUDIOPLAYER;
#endif
#if INCLUDE_CLASS_DEVICE
sslog_class_t *CLASS_DEVICE;
#endif
#if INCLUDE_CLASS_MOBILEPHONE
sslog_class_t *CLASS_MOBILEPHONE;
#endif
#if INCLUDE_CLASS_NOTHING
sslog_class_t *CLASS_NOTHING;
#endif
#if INCLUDE_CLASS_MEDIADEVICE
sslog_class_t *CLASS_MEDIADEVICE;
#endif


#if INCLUDE_PROPERTY_DEVICENAME
sslog_property_t *PROPERTY_DEVICENAME;
#endif
#if INCLUDE_PROPERTY_MAXVOLUME
sslog_property_t *PROPERTY_MAXVOLUME;
#endif
#if INCLUDE_PROPERTY_CHANNELNAME
sslog_property_t *PROPERTY_CHANNELNAME;
#endif
#if INCLUDE_PROPERTY_SONGNAME
sslog_property_t *PROPERTY_SONGNAME;
#endif
#if INCLUDE_PROPERTY_SONGNUM
sslog_property_t *PROPERTY_SONGNUM;
#endif
#if INCLUDE_PROPERTY_HASMISSEDCALLS
sslog_property_t *PROPERTY_HASMISSEDCALLS;
#endif
#if INCLUDE_PROPERTY_ISCALLING
sslog_property_t *PROPERTY_ISCALLING;
#endif
#if INCLUDE_PROPERTY_ISVOLUMEON
sslog_property_t *PROPERTY_ISVOLUMEON;
#endif
#if INCLUDE_PROPERTY_CURRENTVOLUME
sslog_property_t *PROPERTY_CURRENTVOLUME;
#endif
#if INCLUDE_PROPERTY_CHANNEL
sslog_property_t *PROPERTY_CHANNEL;
#endif
#if INCLUDE_PROPERTY_MANUFACTURER
sslog_property_t *PROPERTY_MANUFACTURER;
#endif
#if INCLUDE_PROPERTY_RESOLUTION
sslog_property_t *PROPERTY_RESOLUTION;
#endif



/**
 * @brief Register ontology.
 *
 * It creates all structures, such as classes and properties. Use it firs in your propgramm.
 */
void register_ontology()
{    
#if INCLUDE_PROPERTY_DEVICENAME
PROPERTY_DEVICENAME =  sslog_new_property("#DeviceName", SSLOG_PROPERTY_TYPE_DATA);
#endif
#if INCLUDE_PROPERTY_MAXVOLUME
PROPERTY_MAXVOLUME =  sslog_new_property("#MaxVolume", SSLOG_PROPERTY_TYPE_DATA);
#endif
#if INCLUDE_PROPERTY_CHANNELNAME
PROPERTY_CHANNELNAME =  sslog_new_property("#ChannelName", SSLOG_PROPERTY_TYPE_DATA);
#endif
#if INCLUDE_PROPERTY_SONGNAME
PROPERTY_SONGNAME =  sslog_new_property("#songName", SSLOG_PROPERTY_TYPE_DATA);
#endif
#if INCLUDE_PROPERTY_SONGNUM
PROPERTY_SONGNUM =  sslog_new_property("#songNum", SSLOG_PROPERTY_TYPE_DATA);
#endif
#if INCLUDE_PROPERTY_HASMISSEDCALLS
PROPERTY_HASMISSEDCALLS =  sslog_new_property("#hasMissedCalls", SSLOG_PROPERTY_TYPE_DATA);
#endif
#if INCLUDE_PROPERTY_ISCALLING
PROPERTY_ISCALLING =  sslog_new_property("#isCalling", SSLOG_PROPERTY_TYPE_DATA);
#endif
#if INCLUDE_PROPERTY_ISVOLUMEON
PROPERTY_ISVOLUMEON =  sslog_new_property("#isVolumeOn", SSLOG_PROPERTY_TYPE_DATA);
#endif
#if INCLUDE_PROPERTY_CURRENTVOLUME
PROPERTY_CURRENTVOLUME =  sslog_new_property("#CurrentVolume", SSLOG_PROPERTY_TYPE_DATA);
#endif
#if INCLUDE_PROPERTY_CHANNEL
PROPERTY_CHANNEL =  sslog_new_property("#Channel", SSLOG_PROPERTY_TYPE_DATA);
#endif
#if INCLUDE_PROPERTY_MANUFACTURER
PROPERTY_MANUFACTURER =  sslog_new_property("#Manufacturer", SSLOG_PROPERTY_TYPE_DATA);
#endif
#if INCLUDE_PROPERTY_RESOLUTION
PROPERTY_RESOLUTION =  sslog_new_property("#Resolution", SSLOG_PROPERTY_TYPE_DATA);
#endif



#if INCLUDE_CLASS_THING
CLASS_THING = sslog_new_class("http://www.w3.org/2002/07/owl#Thing");
#endif
#if INCLUDE_CLASS_TV
CLASS_TV = sslog_new_class("#TV");
#endif
#if INCLUDE_CLASS_VIDEODEVICE
CLASS_VIDEODEVICE = sslog_new_class("#VideoDevice");
#endif
#if INCLUDE_CLASS_AUDIOPLAYER
CLASS_AUDIOPLAYER = sslog_new_class("#AudioPlayer");
#endif
#if INCLUDE_CLASS_DEVICE
CLASS_DEVICE = sslog_new_class("#Device");
#endif
#if INCLUDE_CLASS_MOBILEPHONE
CLASS_MOBILEPHONE = sslog_new_class("#MobilePhone");
#endif
#if INCLUDE_CLASS_NOTHING
CLASS_NOTHING = sslog_new_class("http://www.w3.org/2002/07/owl#Nothing");
#endif
#if INCLUDE_CLASS_MEDIADEVICE
CLASS_MEDIADEVICE = sslog_new_class("#MediaDevice");
#endif



}


