
//Set path to SmartSlog KP Library
#include <smartslog.h>

// Default parameters of the KP
#define KP_SS_NAME "X"
#define KP_SS_ADDRESS "194.85.173.9"  // Public PetrSU SIB
//#define KP_SS_ADDRESS "127.0.0.1"     // Local SIB
#define KP_SS_PORT 10010

#ifndef _GENERATED_ONTOLOGY
#define	_GENERATED_ONTOLOGY


#ifdef	__cplusplus
extern "C" {
#endif


#define INCLUDE_ALL_ONT_ENTITIES 1
#ifdef INCLUDE_ALL_ONT_ENTITIES

#define INCLUDE_PROPERTY_DEVICENAME 1
#define INCLUDE_PROPERTY_MAXVOLUME 1
#define INCLUDE_PROPERTY_CHANNELNAME 1
#define INCLUDE_PROPERTY_SONGNAME 1
#define INCLUDE_PROPERTY_SONGNUM 1
#define INCLUDE_PROPERTY_HASMISSEDCALLS 1
#define INCLUDE_PROPERTY_ISCALLING 1
#define INCLUDE_PROPERTY_ISVOLUMEON 1
#define INCLUDE_PROPERTY_CURRENTVOLUME 1
#define INCLUDE_PROPERTY_CHANNEL 1
#define INCLUDE_PROPERTY_MANUFACTURER 1
#define INCLUDE_PROPERTY_RESOLUTION 1
#define INCLUDE_CLASS_THING 1
#define INCLUDE_CLASS_TV 1
#define INCLUDE_CLASS_VIDEODEVICE 1
#define INCLUDE_CLASS_AUDIOPLAYER 1
#define INCLUDE_CLASS_DEVICE 1
#define INCLUDE_CLASS_MOBILEPHONE 1
#define INCLUDE_CLASS_NOTHING 1
#define INCLUDE_CLASS_MEDIADEVICE 1


#else

#define INCLUDE_PROPERTY_DEVICENAME 0
#define INCLUDE_PROPERTY_MAXVOLUME 0
#define INCLUDE_PROPERTY_CHANNELNAME 0
#define INCLUDE_PROPERTY_SONGNAME 0
#define INCLUDE_PROPERTY_SONGNUM 0
#define INCLUDE_PROPERTY_HASMISSEDCALLS 0
#define INCLUDE_PROPERTY_ISCALLING 0
#define INCLUDE_PROPERTY_ISVOLUMEON 0
#define INCLUDE_PROPERTY_CURRENTVOLUME 0
#define INCLUDE_PROPERTY_CHANNEL 0
#define INCLUDE_PROPERTY_MANUFACTURER 0
#define INCLUDE_PROPERTY_RESOLUTION 0
#define INCLUDE_CLASS_THING 0
#define INCLUDE_CLASS_TV 0
#define INCLUDE_CLASS_VIDEODEVICE 0
#define INCLUDE_CLASS_AUDIOPLAYER 0
#define INCLUDE_CLASS_DEVICE 0
#define INCLUDE_CLASS_MOBILEPHONE 0
#define INCLUDE_CLASS_NOTHING 0
#define INCLUDE_CLASS_MEDIADEVICE 0


#endif


#if INCLUDE_CLASS_THING
extern sslog_class_t *CLASS_THING;
#endif
#if INCLUDE_CLASS_TV
extern sslog_class_t *CLASS_TV;
#endif
#if INCLUDE_CLASS_VIDEODEVICE
extern sslog_class_t *CLASS_VIDEODEVICE;
#endif
#if INCLUDE_CLASS_AUDIOPLAYER
extern sslog_class_t *CLASS_AUDIOPLAYER;
#endif
#if INCLUDE_CLASS_DEVICE
extern sslog_class_t *CLASS_DEVICE;
#endif
#if INCLUDE_CLASS_MOBILEPHONE
extern sslog_class_t *CLASS_MOBILEPHONE;
#endif
#if INCLUDE_CLASS_NOTHING
extern sslog_class_t *CLASS_NOTHING;
#endif
#if INCLUDE_CLASS_MEDIADEVICE
extern sslog_class_t *CLASS_MEDIADEVICE;
#endif


#if INCLUDE_PROPERTY_DEVICENAME
extern sslog_property_t *PROPERTY_DEVICENAME;
#endif
#if INCLUDE_PROPERTY_MAXVOLUME
extern sslog_property_t *PROPERTY_MAXVOLUME;
#endif
#if INCLUDE_PROPERTY_CHANNELNAME
extern sslog_property_t *PROPERTY_CHANNELNAME;
#endif
#if INCLUDE_PROPERTY_SONGNAME
extern sslog_property_t *PROPERTY_SONGNAME;
#endif
#if INCLUDE_PROPERTY_SONGNUM
extern sslog_property_t *PROPERTY_SONGNUM;
#endif
#if INCLUDE_PROPERTY_HASMISSEDCALLS
extern sslog_property_t *PROPERTY_HASMISSEDCALLS;
#endif
#if INCLUDE_PROPERTY_ISCALLING
extern sslog_property_t *PROPERTY_ISCALLING;
#endif
#if INCLUDE_PROPERTY_ISVOLUMEON
extern sslog_property_t *PROPERTY_ISVOLUMEON;
#endif
#if INCLUDE_PROPERTY_CURRENTVOLUME
extern sslog_property_t *PROPERTY_CURRENTVOLUME;
#endif
#if INCLUDE_PROPERTY_CHANNEL
extern sslog_property_t *PROPERTY_CHANNEL;
#endif
#if INCLUDE_PROPERTY_MANUFACTURER
extern sslog_property_t *PROPERTY_MANUFACTURER;
#endif
#if INCLUDE_PROPERTY_RESOLUTION
extern sslog_property_t *PROPERTY_RESOLUTION;
#endif



void register_ontology();

	
#ifdef	__cplusplus
}
#endif

#endif /* _GENERATED_ONTOLOGY */
